"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class PhaseGenotype(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "phaseSet",
        "sortedAlleles",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_7 import reports as reports_6_1_1

        return {
            "org.gel.models.report.avro.PhaseGenotype": reports_6_1_1.PhaseGenotype,
        }

    __slots__ = [
        "phaseSet",
        "sortedAlleles",
    ]

    def __init__(
        self,
        phaseSet,
        sortedAlleles,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_1_1.PhaseGenotype model.

        :param phaseSet:
        :type phaseSet: int
        :param sortedAlleles:
        :type sortedAlleles: list[str]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.1.1"
